@ECHO OFF
GOTO :Main
                          .''....
                    .....      .',.
 'ccccccccccccc:;. .cc;          ;;.                      ,cc
 lO00000000K000NW0..WWO         .;'                       kWW.
        ...    :WWx.WWO        ',.      ..''''''''''..    kWW,',,,,,,,,,'..
      ...      ;WWx.WWO     .',.     'kXWNXXXXXXXXXXNWNk. kWWoKKKKKKKKKKXNWXd.
    .'.        ;WWx.WWO  ..''.      .XWK,.           lWWo kWW.            ;XWX
   .,          ;WWx.NXx.,'.         cWWo             'WWo kWW.             dWW
   ;,          ,KOl'lll.            'NWO.            'WWo kWW,            .0WN
   .','.. .'' .;oxl.oNN0xxxxxxxxxxxo ,0NN0kxxxxxxxxxo:WWo ,XWXOkkkkkkkkkO0NWK:
     ...' .,'  ;WWx  ,0WWWWWWWWWWWW0   l0NWWWWWWWWWWK:WWo  .kXNWWWWWWWWWWN0c

 upgrade.bat: Wrapper for SMCLI.exe to upgrade multiple devices in parallel.


:Main
SET pwd=%~dp0
SET log=%pwd%output.log
SET file=%~f1
:: ECHO Working directory: %pwd%
:: ECHO Log file: %log%
:: ECHO Upgrade file: %file%
ECHO Running Sentrion upgrade in parallel...
"%pwd%..\SMCLI.exe" --application=sm --command=upgrade --ip="%pwd%ip.txt" --file="%file%" > "%log%" 2>&1
ECHO Output written: %log%
